@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";

footer {
    background: map.get(colors.$colors, header-bg);
    color: map.get(colors.$colors, header-text-2);
    position: relative;
    left: 0;
    bottom: 0;
    width: 100%;
    padding: 0.5rem 0.5rem;
    display: flex;
    align-content: flex-end;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: space-between;
    border-top: 2px solid map.get(colors.$colors, border);
}

.footer-information {
    margin: 0 1rem;
}

.footer-link-list {
    display: flex;
    align-items: center;

    ul {
        margin: 0;
        padding: 0;
    }

    li {
        display: flex;
        margin: 0 1rem 0 1rem;
        padding: 0;
        @include mixins.respond-to(medium) {
            display: inline-block;
        }
    }

    a {
        color: map.get(colors.$colors, header-text-2)
    }
}
